#!/bin/env -S deno run -A --unstable

await main();
async function main() {
	const [from_port, to_ip, to_port] = Deno.args;
	if (to_port === undefined) Deno.exit(2);

	const server = Deno.listen({ transport: "tcp", port: parseInt(from_port) });

	for await (const connection of server) {
		try {
			const client = await Deno.connect({ transport: "tcp", hostname: to_ip, port: parseInt(to_port) });
			const promise_connection_done = connection.readable.pipeTo(client.writable);
			const promise_client_done = client.readable.pipeTo(connection.writable);
			await Promise.all([promise_client_done, promise_connection_done]);
		} catch (_) { /* isok */ }
	}
}
