import { dirname } from "https://deno.land/std@0.208.0/path/mod.ts";

// '/bdmgrdts'
export function instance_root_path() {
	const file_path = new URL("", import.meta.url).pathname;
	return dirname(dirname(dirname(file_path)));
}

export function socket_path() {
	return instance_root_path() + "/socket.socket";
}

export function containers_path() {
	return instance_root_path() + "/local/containers";
}

export function container_paths(name: string) {
	const base = containers_path() + "/" + name;
	const conf = base + "/config.json";
	const root = base + "/root";
	return { base, configuration: conf, root };
}
